// SensivityDlg.cpp : implementation file
//

// Σε αυτό το αρχείο υπάρχουν κάποιες ρουτίνες που αφορούν το 
// παράθυρο για την ρύθμιση της ευαισθησίας

// Εδώ συμπεριλαμβάνουμε όλα τα απαραίτητα αρχεία που χρείαζεται
// το παράθυρο για να λειτουργήσει.
#include "stdafx.h"
#include "Surveillance.h"
#include "SensivityDlg.h"


// CSensivityDlg dialog

IMPLEMENT_DYNAMIC(CSensivityDlg, CDialog)

CSensivityDlg::CSensivityDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSensivityDlg::IDD, pParent)
	, m_SliderValue(_T("0"))
{
	
}

CSensivityDlg::~CSensivityDlg()
{
}

void CSensivityDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SLIDER, m_Slider);
	DDX_Text(pDX, IDC_SLIDER_VALUE, m_SliderValue);
}


BEGIN_MESSAGE_MAP(CSensivityDlg, CDialog)

	ON_WM_HSCROLL()
	ON_BN_CLICKED(IDOK, &CSensivityDlg::OnBnClickedOk)
//	ON_EN_CHANGE(IDC_SLIDER_VALUE, &CSensivityDlg::OnEnChangeSliderValue)
ON_WM_CREATE()
ON_WM_ACTIVATE()
END_MESSAGE_MAP()


// CSensivityDlg message handlers
	

void CSensivityDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
{
	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
	// TODO: Add your message handler code here and/or call default
	if(nSBCode & (SB_THUMBPOSITION|SB_THUMBTRACK))
	m_SliderValue.Format(CString("%ld"), nPos);
	UpdateData(false);

	
	
}

void CSensivityDlg::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	OnOK();
}
int CSensivityDlg::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;

	// TODO:  Add your specialized creation code here

	return 0;
}

bool ini = false;

void CSensivityDlg::OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized)
{
	CDialog::OnActivate(nState, pWndOther, bMinimized);
	if(!ini)
	((CSliderCtrl*)GetDlgItem(IDC_SLIDER))->SetRange(0, 150);
	ini = true;
}
